# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`tempo`](#tempo): Class to install and configure tempo.  Use this module to install and configure tempo.

#### Private Classes

* `tempo::config`: A short summary of the purpose of this class
* `tempo::install`: A short summary of the purpose of this class
* `tempo::service`: A short summary of the purpose of this class

## Classes

### <a name="tempo"></a>`tempo`

Class to install and configure tempo.

Use this module to install and configure tempo.

#### Examples

##### Declaring the class

```puppet
include ::tempo
```

#### Parameters

The following parameters are available in the `tempo` class:

* [`bin_dir`](#bin_dir)
* [`config_dir`](#config_dir)
* [`data_dir`](#data_dir)
* [`group`](#group)
* [`install_method`](#install_method)
* [`manage_service`](#manage_service)
* [`manage_user`](#manage_user)
* [`package_name`](#package_name)
* [`package_version`](#package_version)
* [`service_name`](#service_name)
* [`service_provider`](#service_provider)
* [`service_ensure`](#service_ensure)
* [`user`](#user)
* [`version`](#version)
* [`compactor_config_hash`](#compactor_config_hash)
* [`distributor_config_hash`](#distributor_config_hash)
* [`ingester_config_hash`](#ingester_config_hash)
* [`memberlist_config_hash`](#memberlist_config_hash)
* [`multitenancy_enabled`](#multitenancy_enabled)
* [`multitenancy_key`](#multitenancy_key)
* [`server_config_hash`](#server_config_hash)
* [`storage_config_hash`](#storage_config_hash)
* [`query_frontend_config_hash`](#query_frontend_config_hash)
* [`querier_config_hash`](#querier_config_hash)

##### <a name="bin_dir"></a>`bin_dir`

Data type: `Stdlib::Absolutepath`

Location of tempo binary release.

##### <a name="config_dir"></a>`config_dir`

Data type: `Stdlib::Absolutepath`

Location of tempo config files.

##### <a name="data_dir"></a>`data_dir`

Data type: `Stdlib::Absolutepath`

Location of tempo data directories.

##### <a name="group"></a>`group`

Data type: `String[1]`

Group that owns tempo files.

##### <a name="install_method"></a>`install_method`

Data type: `Enum['archive','package']`

How to install tempo.

##### <a name="manage_service"></a>`manage_service`

Data type: `Boolean`

Manage the tempo service.

##### <a name="manage_user"></a>`manage_user`

Data type: `Boolean`

Manage tempo user and group.

##### <a name="package_name"></a>`package_name`

Data type: `String[1]`

Name of package to install.

##### <a name="package_version"></a>`package_version`

Data type: `String[1]`

Version of tempo to install.

##### <a name="service_name"></a>`service_name`

Data type: `String[1]`

Name of service to manage.

##### <a name="service_provider"></a>`service_provider`

Data type: `String[1]`

Init system that is used.

##### <a name="service_ensure"></a>`service_ensure`

Data type: `Enum['running','stopped']`

The state of the service.

##### <a name="user"></a>`user`

Data type: `String[1]`

User that owns tempo files.

##### <a name="version"></a>`version`

Data type: `String[1]`

Version of tempo to install.

##### <a name="compactor_config_hash"></a>`compactor_config_hash`

Data type: `Optional[Hash]`

Compactor config hash.

Default value: ``undef``

##### <a name="distributor_config_hash"></a>`distributor_config_hash`

Data type: `Optional[Hash]`

Distributor config hash.

Default value: ``undef``

##### <a name="ingester_config_hash"></a>`ingester_config_hash`

Data type: `Optional[Hash]`

Ingestor config hash.

Default value: ``undef``

##### <a name="memberlist_config_hash"></a>`memberlist_config_hash`

Data type: `Optional[Hash]`

Memberlist config hash.

Default value: ``undef``

##### <a name="multitenancy_enabled"></a>`multitenancy_enabled`

Data type: `Boolean`

Enable multi tenancy

##### <a name="multitenancy_key"></a>`multitenancy_key`

Data type: `String[1]`

Key name

##### <a name="server_config_hash"></a>`server_config_hash`

Data type: `Optional[Hash]`

Server config hash.

Default value: ``undef``

##### <a name="storage_config_hash"></a>`storage_config_hash`

Data type: `Optional[Hash]`

Storage config hash.

Default value: ``undef``

##### <a name="query_frontend_config_hash"></a>`query_frontend_config_hash`

Data type: `Optional[Hash]`

Query Frontend config hash.

Default value: ``undef``

##### <a name="querier_config_hash"></a>`querier_config_hash`

Data type: `Optional[Hash]`

Querier config hash.

Default value: ``undef``

